﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Runtime.InteropServices;

namespace Test
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        [DllImport("nativelib_protected.dll", CallingConvention = CallingConvention.StdCall)]
        public static extern double Enigma_Sin(double Angle);

        [DllImport("nativelib_protected.dll", CallingConvention = CallingConvention.StdCall)]
        public static extern double Enigma_Cos(double Angle);

        [DllImport("nativelib_protected.dll", CallingConvention = CallingConvention.StdCall)]
        public static extern double Enigma_Tan(double Angle);

        private void btnCalculate_Click(object sender, EventArgs e)
        {
            // Check if angle is valid double value
            double angle = 0;
            if (!double.TryParse(tbAngle.Text, out angle))
            {
                MessageBox.Show(string.Format(Enigma_IDE.EP_ProtectedStringByIDAsWideString(1), tbAngle.Text), Enigma_IDE.EP_ProtectedStringByIDAsWideString(2), MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }
            angle *= Math.PI / 180;
            lbSinus.Text = Enigma_Sin(angle).ToString();
            lbCosine.Text = Enigma_Cos(angle).ToString();
            lbTangent.Text = Enigma_Tan(angle).ToString();
        }
    }
}
